<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Interfaz de Reservas</title>
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" type="text/css" href="css/full-style.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
        integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
    <!-- Timeline-->
    <div id="visualization" style="box-shadow: 2px 2px 4px #cecccb; width: 90%; margin-left: 4%; margin-top: 15%;">
        <div style="display: flex;">
            <h3 style=" color:#5ec499; font-size: 100%;">
                Agenda de Reservas
            </h3>
        </div>
        <div class="menu1">
            <input style="display:none;" id="sliderZoom" type="range" class="range" name="a" min="-1" max="1" step="0.1"
                value="0" />
            <i class="material-icons dp48 buttons-menu" id="fit">home</i>
            <i class="material-icons dp48 buttons-menu" id="moveLeft">arrow_back</i>
            <i class="material-icons dp48 buttons-menu" id="moveRight">arrow_forward</i>
        </div>
    </div>
    <br>
    <br><br>

    <div id="appReservas" class="container">
        <!-- Formulario para añadir reserva -->
        <div style="margin-left: 4%; height: 20%; margin-top: -30%;" class="menu">
            <!-- Campo para agregar Nombre -->
            <div style="display: flex;flex-direction: column;" class="col-md-4">
                <div style="display: flex;">
                    <h3 style="margin-top: 4%; color:#5ec499; font-size: 180%;">
                        RESERVAR
                    </h3>
                </div>
                <label style="margin-top: 3%;" class="form-label">Nombre</label>
                <input v-model="Data.content" @keyup.enter="crearReservas" style="padding :18px; width: 65%;"
                    type="text" class="form-control">
            </div>
            <!-- Campo para agregar Fecha -->
            <div style="display: flex;flex-direction: column; margin-left: -20%; text-align: center;" class="col-md-2">
                <label style="margin-top: 41%; margin-left: -65%;">Fecha</label>
                <input v-model="year" @keyup.enter="crearReservas" style="padding :18px; margin-top: 1%;" type="date"
                    class="form-control" placeholder="hasta">
            </div>
            <!-- Campo para agregar el comienzo de la reserva -->
            <div style="display: flex;flex-direction: column; margin-left: -9%;" class="col-md-2">
                <label for="" style="margin-top: 42%">Desde</label>
                <input v-model="Data.start" @keyup.enter="crearReservas" style="padding :18px" type="time"
                    class="form-control" placeholder="fecha">
            </div>
            <!-- Campo para agregar hasta cuando dura la reserva -->
            <div style=" display: flex;flex-direction: column; margin-left: -9%;" class="col-md-2">
                <label style="margin-top: 42%">Hasta</label>
                <input v-model="Data.end" @keyup.enter="crearReservas" style="padding :18px" type="time"
                    class="form-control" placeholder="Desde">
            </div>
            <!-- Boton para guardar la reserva -->
            <div style="display: flex;flex-direction: column;" class="col-md-2">
                <input style="padding :18px; margin-top: 54%" @click="crearReservas" type="button" value="Añadir"
                    class="btn btn-success">
            </div>
        </div>
        <br><br>

        <div style="box-shadow: 2px 2px 4px #cecccb; width: 90%; margin-left: 4%; margin-top: 15%;">
            <!-- Tabla donde se muestran los datos de la reserva -->
            <section class="data">
                <table class="table">
                    <!-- Cabecera Tabla de datos-->
                    <thead>
                        <tr>
                            <th scope="col">Nombre</th>
                            <th scope="col">Horario</th>
                            <th scope="col">Acción</th>

                        </tr>
                    </thead>
                    <!-- Lugar donde se ven los datos-->
                    <tbody>
                        <tr v-for="(Reservas, index) in Reservas">
                            <td>
                                <span>
                                    <!-- Dato nombre -->
                                    {{ Reservas.content }}
                                </span>
                            </td>
                            <td>
                                <span>
                                    <!-- Dato horario -->
                                    de {{ Reservas.start }} a {{ Reservas.end }}
                                </span>
                            </td>
                            <td>
                                <span>
                                    <!-- Boton para eliminar -->
                                    <button @click="borrarReservas(index)" class="btn btn-danger">Borrar</button>
                                </span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </section>
        </div>
    </div>
    <!-- LLamada a los archivos js -->
    <script src="js/moment.js"></script>
    <script src="js/vis.js"></script>
    <script src="js/script.js"></script>
    <script src="js/reserva.js"></script>
</body>

</html>